import req from "@/request.js";
const portal = window.context.portal;
export default {
    // 分页
    queryEventsList(data) {
        return new Promise((resolve, reject) => {
            req.post(portal + `/matApproval/v1/signData`, data).then(
                res => {
                    resolve(res)
                },
                error => {
                    reject(error)
                }
            )
        })
    },
    //提交
    batchSubmit(dialogForm, cb) {
        return new Promise((resolve, reject) => {
            req.post(portal + `/bizRoute/v1/save` ,dialogForm).then(
                res => {
                    resolve(res)
                },
                error => {
                    reject(error)
                });
        })
    },
    // 批量删除
    batchDelete(deleteIds, cb) {
        return new Promise((resolve, reject) => {
            req.remove(portal +'/bizRoute/v1/?ids=' + deleteIds).then(
                res => {
                    resolve(res)
                },
                error => {
                    reject(error)
                });
        })
    },
}